# imports - standard imports
import sys

# imports - module imports
from influxframework.integrations.influxframework_providers.influxframeworkcloud import influxframeworkcloud_migrator


def migrate_to(local_site, influxframework_provider):
	if influxframework_provider in ("influxframework.cloud", "influxframeworkcloud.com"):
		return influxframeworkcloud_migrator(local_site)
	else:
		print(f"{influxframework_provider} is not supported yet")
		sys.exit(1)
